# Webhooks

Webhooks are a way to integrate your existing backend with different room events. When the event happens, then an HTTP **POST** request will be made to the URL which you preconfigured. That way you can execute custom logic on your backend side.&#x20;

Read about the [payload structure](/reference/rest-api/webhooks/payload-structure.md) which you will receive at the preconfigured URL.

#### Currently the available events are:

* participant\_joined
* participant\_left
* participant\_invited
* session\_started
* session\_ended
* recording\_started
* recording\_stopped
* recording\_ready
* file\_added\_to\_library
* file\_renamed
* file\_deleted\_from\_library
* file\_processing\_failed
* folder\_added\_to\_library
* folder\_renamed
* folder\_deleted\_from\_library
* phone\_participant\_muted
* phone\_participant\_unmuted
* phone\_participant\_asked\_to\_unmute
* question\_asked
* question\_answered
* room\_locked
* room\_unlocked

In the future support for more events will be added.

{% hint style="info" %}
An **authorization\_header** secret property can be configured to improve the security of the webhook. The property is a secret known only to you and to DigitalSamba, and it will be included in every webhook POST request as a bearer token. That way you can be sure the webhook request comes from DigitalSamba and not from an unauthorized external entity.
{% endhint %}

{% content-ref url="/pages/MbeKEoeQSBwvXh7rGltg" %}
[Create](/reference/rest-api/webhooks/create.md)
{% endcontent-ref %}

{% content-ref url="/pages/lscRuGtf2wY09edHLkUT" %}
[Edit](/reference/rest-api/webhooks/edit.md)
{% endcontent-ref %}

{% content-ref url="/pages/ccmLW3Gwk3WhyDe5uztI" %}
[List](/reference/rest-api/webhooks/list.md)
{% endcontent-ref %}

{% content-ref url="/pages/ftjv3agXBv9U9mjCgqIB" %}
[Delete](/reference/rest-api/webhooks/delete.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
